Bug 151979 - Can not import multiple PPD files for one printer model
Summary: Can not import multiple PPD files for one printer model
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-23 23:59 UTC by George Liu
Modified: 2008-08-02 23:40 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 12:43:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description George Liu 2005-03-23 23:59:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.2; Linux) KHTML/3.2.3 (like Gecko)

Description of problem:
The printer model Ricoh Aficio 2600N is not included with   
redhat-config-printer.   
Imported Postscript PPD file from printer configuration tool and added   
printer. (Works fine)   
   
Imported a PCL5 PPD file (foomatic-ppd file) from printer configuration tool.   
(The PCL5 PPD and PS PPD have the same model name but different Nick/ShortNick   
name), and it says file imported.   
   
Try to add PCL5 printer, but PCL5 PPD is not in the list. There's no way to   
use the PCL5 PPD file (except using cups webui)   
   
   

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Import PS PPD file 
2. Add printer, selecting PS PPD driver 
3. Import PCL PPD file 
4. Add printer 
    

Actual Results:   no PCL PPD file available 

Expected Results:   Both PS and PCL PPD file should be available for selection  

Additional info:

Comment 1 Matthew Miller 2006-07-10 20:46:07 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 2 Tim Waugh 2006-07-11 12:43:32 UTC
The whole business about needing to import PPDs into foomatic before they can be
used is gone in rawhide.

Comment 3 George Liu 2006-07-11 17:51:45 UTC
Yes, verified the functionality of creating print queue with customized PPD
files in FC6 test 1.
This bug should stay as closed. 

Comment 4 Matthew Miller 2006-07-11 17:52:33 UTC
Thanks!


Note You need to log in before you can comment on or make changes to this bug.